curl --request GET \
--url https://api.avala.ai/api/v1/fleet/recordings/ \
--header 'X-Avala-Api-Key: <api-key>'{
"results": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "uploading",
"duration_seconds": 123,
"size_bytes": 0,
"topic_count": -1,
"tags": [
"<string>"
],
"topics": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}GET /api/v1/fleet/recordings/
curl --request GET \
--url https://api.avala.ai/api/v1/fleet/recordings/ \
--header 'X-Avala-Api-Key: <api-key>'{
"results": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "uploading",
"duration_seconds": 123,
"size_bytes": 0,
"topic_count": -1,
"tags": [
"<string>"
],
"topics": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}API key for authentication. Generate one in Mission Control Settings > Security & Identity.
status
uploading, processing, ready, error, archived device
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Was this page helpful?